Xerces2 Implementation: Class DeferredDOMImplementationImpl

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom
Class DeferredDOMImplementationImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.CoreDOMImplementationImpl
            |
            +--org.apache.xerces.dom.DOMImplementationImpl
                  |
                  +--org.apache.xerces.dom.DeferredDOMImplementationImpl

All Implemented Interfaces:
  org.w3c.dom.DOMImplementation, org.w3c.dom.ls.DOMImplementationLS

public class DeferredDOMImplementationImpl
extends DOMImplementationImpl

This DOMImplementation class is description of a particular implementation of the Document Object Model. As such its data is static, shared by all instances of this implementation.

This implementation simply extends DOMImplementationImpl to differentiate between the Deferred DOM Implementations and Non-Deferred DOM Implementations.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Version:
  $Id: DeferredDOMImplementationImpl.java 645327 2008-04-06 23:17:54Z mrglavas $
Author:
  Neil Delima, IBM

Fields inherited from interface org.w3c.dom.ls.DOMImplementationLS
`MODE_ASYNCHRONOUS, MODE_SYNCHRONOUS`

Constructor Summary
`DeferredDOMImplementationImpl()`

Method Summary
`static org.w3c.dom.DOMImplementation` | `getDOMImplementation()` NON-DOM: Obtain and return the single shared object

Methods inherited from class org.apache.xerces.dom.DOMImplementationImpl
`createDocument, hasFeature`

Methods inherited from class org.apache.xerces.dom.CoreDOMImplementationImpl
`assignDocTypeNumber, assignDocumentNumber, createDocument, createDocumentType, createLSInput, createLSOutput, createLSParser, createLSSerializer, getFeature`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.DOMImplementation
`createDocument, createDocumentType, getFeature`

Constructor Detail

### DeferredDOMImplementationImpl

    public DeferredDOMImplementationImpl()

Method Detail

### getDOMImplementation

    public static org.w3c.dom.DOMImplementation getDOMImplementation()

  NON-DOM: Obtain and return the single shared object

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.